Loading...
Searching...
No Matches
Opm::TabulatedComponentData< Scalar > Struct Template Reference

## Public Member Functions

void | init (Scalar tempMin, Scalar tempMax, unsigned nTemp, Scalar pressMin, Scalar pressMax, unsigned nPress)

## Public Attributes

std::vector< Scalar > | vaporPressure_
std::vector< Scalar > | minLiquidDensity__
std::vector< Scalar > | maxLiquidDensity__
std::vector< Scalar > | minGasDensity__
std::vector< Scalar > | maxGasDensity__
std::vector< Scalar > | gasEnthalpy_
std::vector< Scalar > | liquidEnthalpy_
std::vector< Scalar > | gasHeatCapacity_
std::vector< Scalar > | liquidHeatCapacity_
std::vector< Scalar > | gasDensity_
std::vector< Scalar > | liquidDensity_
std::vector< Scalar > | gasViscosity_
std::vector< Scalar > | liquidViscosity_
std::vector< Scalar > | gasThermalConductivity_
std::vector< Scalar > | liquidThermalConductivity_
std::vector< Scalar > | gasPressure_
std::vector< Scalar > | liquidPressure_
Scalar | tempMin_
Scalar | tempMax_
unsigned | nTemp_
Scalar | pressMin_
Scalar | pressMax_
unsigned | nPress_
Scalar | densityMin_
Scalar | densityMax_
unsigned | nDensity_

The documentation for this struct was generated from the following file:

- opm/material/components/TabulatedComponent.hpp